summaryrefslogtreecommitdiffstats
path: root/openwrt/target/default/target_skeleton/sbin/mount_root
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-03-23 13:31:22 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-03-23 13:31:22 +0000
commit96894b9b335781d12ce2062f69e73af776d310e3 (patch)
treef5a8a31ed59a58f7b588e33a98958a46095bb3b7 /openwrt/target/default/target_skeleton/sbin/mount_root
parentbdca5a6eb0a2e67f80871f75b9816dc1b5fdab42 (diff)
add mount_root script to mount root fs (called from /etc/preinit)
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@428 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/target/default/target_skeleton/sbin/mount_root')
-rwxr-xr-xopenwrt/target/default/target_skeleton/sbin/mount_root24
1 files changed, 24 insertions, 0 deletions
diff --git a/openwrt/target/default/target_skeleton/sbin/mount_root b/openwrt/target/default/target_skeleton/sbin/mount_root
new file mode 100755
index 000000000..db73eaed5
--- /dev/null
+++ b/openwrt/target/default/target_skeleton/sbin/mount_root
@@ -0,0 +1,24 @@
+#!/bin/sh
+if [ "$1" != "failsafe" ]; then
+ mount | grep jffs2 >&-
+ if [ $? = 0 ] ; then
+ mtd unlock rootfs
+ [ $(cat /proc/mtd | wc -l) = 6 ] && {
+ echo 5 > /proc/sys/diag
+ mtd unlock OpenWrt
+ mtd erase OpenWrt
+ jffs2root --move
+ }
+ mount -o remount,rw /dev/root /
+ else
+ mtd unlock mtd4
+ mount -t jffs2 /dev/mtdblock/4 /jffs
+ pivot_root /jffs /jffs/rom
+ mount none /proc -t proc
+ mount none /dev -t devfs
+ umount rom/proc rom/dev
+ fi
+fi
+mount none /tmp -t ramfs
+mkdir -p /dev/pts
+mount none /dev/pts -t devpts